Bug 1559154

Summary: [abrt] gnome-software: as_app_create_token_cache_target(): gnome-software killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: gnome-softwareAssignee: Richard Hughes <rhughes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: klember, patrick.guio, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/cff59993cf452bc8540371f44a392cebbbb26dff
Whiteboard: abrt_hash:1d4dcf5dc60ffad4ed63bd3aa95e6359078c8bc0;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 21:32:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: cpuinfo
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Fabio Valentini 2018-03-21 20:00:17 UTC
Description of problem:
I logged into GNOME, and this crash happened. It looks like the gnome-software daemon crashed at session startup.

Version-Release number of selected component:
gnome-software-3.28.0-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_app_create_token_cache_target
executable:     /usr/bin/gnome-software
journald_cursor: s=49bc914d71644fc791a41f3e53e89e86;i=9280b;b=9f36cb7932b24f189909f9769fa386a8;m=1698281;t=567f14dbd3170;x=26ff59a582de1f8b
kernel:         4.15.11-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 as_app_create_token_cache_target at ../libappstream-glib/as-app.c:5817
 #1 as_app_create_token_cache at ../libappstream-glib/as-app.c:5850
 #2 as_app_search_matches at ../libappstream-glib/as-app.c:5880
 #4 g_thread_proxy at gthread.c:784

Comment 1 Fabio Valentini 2018-03-21 20:00:24 UTC
Created attachment 1411414 [details]
File: backtrace

Comment 2 Fabio Valentini 2018-03-21 20:00:26 UTC
Created attachment 1411415 [details]
File: cgroup

Comment 3 Fabio Valentini 2018-03-21 20:00:29 UTC
Created attachment 1411416 [details]
File: core_backtrace

Comment 4 Fabio Valentini 2018-03-21 20:00:30 UTC
Created attachment 1411417 [details]
File: cpuinfo

Comment 5 Fabio Valentini 2018-03-21 20:00:33 UTC
Created attachment 1411418 [details]
File: dso_list

Comment 6 Fabio Valentini 2018-03-21 20:00:35 UTC
Created attachment 1411419 [details]
File: environ

Comment 7 Fabio Valentini 2018-03-21 20:00:38 UTC
Created attachment 1411420 [details]
File: exploitable

Comment 8 Fabio Valentini 2018-03-21 20:00:40 UTC
Created attachment 1411421 [details]
File: limits

Comment 9 Fabio Valentini 2018-03-21 20:00:42 UTC
Created attachment 1411423 [details]
File: maps

Comment 10 Fabio Valentini 2018-03-21 20:00:44 UTC
Created attachment 1411425 [details]
File: mountinfo

Comment 11 Fabio Valentini 2018-03-21 20:00:46 UTC
Created attachment 1411426 [details]
File: open_fds

Comment 12 Fabio Valentini 2018-03-21 20:00:47 UTC
Created attachment 1411428 [details]
File: proc_pid_status

Comment 13 Fabio Valentini 2018-03-21 20:00:49 UTC
Created attachment 1411430 [details]
File: var_log_messages

Comment 14 Kalev Lember 2018-03-22 07:23:02 UTC
Looks like a threading issue in libappstream-glib.

Comment 15 Fabio Valentini 2018-03-22 20:13:27 UTC
So, probably some kind of race condition, since it doesn't occur consistently?

Comment 16 Kalev Lember 2018-03-23 15:27:05 UTC
Yep, I believe so.

Comment 17 patrick.guio 2018-04-22 11:06:39 UTC
*** Bug 1570364 has been marked as a duplicate of this bug. ***

Comment 18 Fabio Valentini 2018-05-11 07:42:32 UTC
After watching this for some time, it looks like this crash happens about every third or fourth boot, when first logging in.

Comment 19 Ben Cotton 2018-11-27 15:45:52 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2018-11-30 21:32:38 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.